summaryrefslogtreecommitdiff
path: root/libraries/ilbc/configure
diff options
context:
space:
mode:
authorMauro Giachero <mauro dot giachero at gmail dot com>2010-05-13 00:58:43 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-13 00:58:43 +0200
commitc60efa41a279a3a936b5481df8c92cbda4f5c83d (patch)
tree39944e0fbe09976f602cd845f412d31143f23e64 /libraries/ilbc/configure
parent9312937db879808391f1e8ad7b0e186cde398a15 (diff)
downloadslackbuilds-c60efa41a279a3a936b5481df8c92cbda4f5c83d.tar.gz
libraries/ilbc: Added to 13.0 repository
Diffstat (limited to 'libraries/ilbc/configure')
-rw-r--r--libraries/ilbc/configure70
1 files changed, 70 insertions, 0 deletions
diff --git a/libraries/ilbc/configure b/libraries/ilbc/configure
new file mode 100644
index 0000000000..5efa4417fb
--- /dev/null
+++ b/libraries/ilbc/configure
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Copyright 2008 Mauro Giachero (mauro dot giachero at gmail dot com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Prepare iLBC build environment
+
+set -e
+
+# [1/2] Prepare some basic documentation
+cat >COPYING <<EOF
+The iLBC license is contained in gips_iLBClicense-1.pdf.
+
+If not locally available, you can fetch it from
+ http://www.ilbcfreeware.org/documentation/gips_iLBClicense.pdf
+EOF
+
+# [2/2] Create a simple ilbc Makefile.
+SOURCES=`echo *.c`
+
+cat >Makefile <<EOF
+NAME = ilbc
+
+LIBNAME = lib\$(NAME).so
+SOURCES = $SOURCES
+OBJECTS = \$(SOURCES:%.c=%.o)
+
+CFLAGS = $CFLAGS
+
+DESTDIR ?=
+
+.PHONY: all install clean distclean
+
+all: \$(LIBNAME)
+
+\$(LIBNAME): \$(OBJECTS)
+ \$(CC) -lm -shared -o \$(LIBNAME) \$(OBJECTS)
+
+%.o: %.c
+ \$(CC) \$(CFLAGS) -c -o \$@ \$<
+
+clean:
+ rm -f \$(LIBNAME) \$(OBJECTS)
+
+distclean: clean
+ rm -f Makefile
+
+install:
+ mkdir -p \$(DESTDIR)/usr/lib
+ cp \$(LIBNAME) \$(DESTDIR)/usr/lib
+ mkdir -p \$(DESTDIR)/usr/include/\$(NAME)
+ cp *.h \$(DESTDIR)/usr/include/\$(NAME)
+EOF